Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package reflect
  Definition Classes
    scala
-  package macros
  Definition Classes
    reflect
-  package contexts
  Definition Classes
    macros
- Aliases
- Context
- Enclosures
- Evals
- ExprUtils
- FrontEnds
- Infrastructure
- Internals
- Names
- Parsers
- Reifiers
- Traces
- Typers

t

scala.reflect.macros.contexts

# Aliases 

###

#### trait Aliases extends AnyRef

Self Type
  Context
Source
  Aliases.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
Context
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Aliases
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  type Expr[+T] = tools.nsc.Global.Expr[T]
2.  type Modifiers = tools.nsc.Global.Modifiers
3.  type Name = tools.nsc.Global.Name
4.  type Position = internal.util.Position
5.  implicit class RichOpenImplicit extends AnyRef
6.  type Scope = tools.nsc.Global.Scope
7.  type Symbol = tools.nsc.Global.Symbol
8.  type TermName = tools.nsc.Global.TermName
9.  type Tree = tools.nsc.Global.Tree
10.  type Type = tools.nsc.Global.Type
11.  type TypeName = tools.nsc.Global.TypeName
12.  type TypeTag[T] = tools.nsc.Global.TypeTag[T]
13.  type WeakTypeTag[T] = tools.nsc.Global.WeakTypeTag[T]

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Aliases to any2stringadd[Aliases] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Aliases, B)
   Implicit
     This member is added by an implicit conversion from Aliases to ArrowAssoc[Aliases] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def Expr[T](tree: Context.Tree)(implicit arg0: Context.WeakTypeTag[T]): Context.Expr[T]
7.  val Expr: tools.nsc.Global.Expr.type
8.  def TypeTag[T](tpe: Context.Type): Context.TypeTag[T]
9.  val TypeTag: tools.nsc.Global.TypeTag.type
10.  def WeakTypeTag[T](tpe: Context.Type): Context.WeakTypeTag[T]
11.  val WeakTypeTag: tools.nsc.Global.WeakTypeTag.type
12.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
13.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
14.  def ensuring(cond: (Aliases) ⇒ Boolean, msg: ⇒ Any): Aliases
    Implicit
      This member is added by an implicit conversion from Aliases to Ensuring[Aliases] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: (Aliases) ⇒ Boolean): Aliases
    Implicit
      This member is added by an implicit conversion from Aliases to Ensuring[Aliases] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  def ensuring(cond: Boolean, msg: ⇒ Any): Aliases
    Implicit
      This member is added by an implicit conversion from Aliases to Ensuring[Aliases] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  def ensuring(cond: Boolean): Aliases
    Implicit
      This member is added by an implicit conversion from Aliases to Ensuring[Aliases] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
18.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
20.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
21.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Aliases to StringFormat[Aliases] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
22.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
23.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
24.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
25.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
26.  final def notify(): Unit
    Definition Classes
      AnyRef
27.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
28.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
29.  def toString(): String
    Definition Classes
      AnyRef → Any
30.  def typeOf[T](implicit ttag: Context.TypeTag[T]): Context.Type
31.  def typeTag[T](implicit ttag: Context.TypeTag[T]): Context.TypeTag[T]
32.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
33.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
34.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
35.  def weakTypeOf[T](implicit attag: Context.WeakTypeTag[T]): Context.Type
36.  def weakTypeTag[T](implicit attag: Context.WeakTypeTag[T]): Context.WeakTypeTag[T]
37.  def →[B](y: B): (Aliases, B)
    Implicit
      This member is added by an implicit conversion from Aliases to ArrowAssoc[Aliases] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Aliases to any2stringadd[Aliases]

### Inherited by implicit conversion StringFormat from Aliases to StringFormat[Aliases]

### Inherited by implicit conversion Ensuring from Aliases to Ensuring[Aliases]

### Inherited by implicit conversion ArrowAssoc from Aliases to ArrowAssoc[Aliases]

### Ungrouped